Commitment Plans - List Plans By Subscription
Returns all the resources of a particular type belonging to a subscription.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.CognitiveServices/commitmentPlans?api-version=2025-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved commitment plan resources. |
|
| Other Status Codes |
Error response describing why the operation failed |
Examples
List Accounts by Subscription
Sample request
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/resourceGroupName/providers/Microsoft.CognitiveServices/commitmentPlans/commitmentPlanName",
"name": "commitmentPlanName",
"type": "Microsoft.CognitiveServices/commitmentPlans",
"location": "West US",
"sku": {
"name": "S0"
},
"kind": "SpeechServices",
"properties": {
"provisioningState": "Succeeded",
"hostingModel": "Web",
"planType": "STT",
"autoRenew": true,
"current": {
"tier": "T1"
}
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Commitment |
Cognitive Services account commitment period. |
|
Commitment |
Cognitive Services account commitment plan. |
|
Commitment |
The list of cognitive services accounts operation response. |
|
Commitment |
Properties of Cognitive Services account commitment plan. |
|
Commitment |
Gets the status of the resource at the time the operation was called. |
|
Commitment |
Cognitive Services account commitment quota. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Hosting |
Account hosting model. |
| Sku |
The resource model definition representing SKU |
|
Sku |
This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
CommitmentPeriod
Cognitive Services account commitment period.
| Name | Type | Description |
|---|---|---|
| count |
integer (int32) |
Commitment period commitment count. |
| endDate |
string |
Commitment period end date. |
| quota |
Cognitive Services account commitment quota. |
|
| startDate |
string |
Commitment period start date. |
| tier |
string |
Commitment period commitment tier. |
CommitmentPlan
Cognitive Services account commitment plan.
| Name | Type | Description |
|---|---|---|
| etag |
string |
Resource Etag. |
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| kind |
string |
The Kind of the resource. |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties |
Properties of Cognitive Services account commitment plan. |
|
| sku |
The resource model definition representing SKU |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
CommitmentPlanListResult
The list of cognitive services accounts operation response.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The link used to get the next page of CommitmentPlan. |
| value |
Gets the list of Cognitive Services accounts CommitmentPlan and their properties. |
CommitmentPlanProperties
Properties of Cognitive Services account commitment plan.
| Name | Type | Description |
|---|---|---|
| autoRenew |
boolean |
AutoRenew commitment plan. |
| commitmentPlanGuid |
string |
Commitment plan guid. |
| current |
Cognitive Services account commitment period. |
|
| hostingModel |
Account hosting model. |
|
| last |
Cognitive Services account commitment period. |
|
| next |
Cognitive Services account commitment period. |
|
| planType |
string |
Commitment plan type. |
| provisioningIssues |
string[] |
The list of ProvisioningIssue. |
| provisioningState |
Gets the status of the resource at the time the operation was called. |
CommitmentPlanProvisioningState
Gets the status of the resource at the time the operation was called.
| Value | Description |
|---|---|
| Accepted | |
| Creating | |
| Deleting | |
| Moving | |
| Failed | |
| Succeeded | |
| Canceled |
CommitmentQuota
Cognitive Services account commitment quota.
| Name | Type | Description |
|---|---|---|
| quantity |
integer (int64) |
Commitment quota quantity. |
| unit |
string |
Commitment quota unit. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
HostingModel
Account hosting model.
| Value | Description |
|---|---|
| Web | |
| ConnectedContainer | |
| DisconnectedContainer | |
| ProvisionedWeb |
Sku
The resource model definition representing SKU
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted. |
| family |
string |
If the service has different generations of hardware, for the same SKU, then that can be captured here. |
| name |
string |
The name of the SKU. Ex - P3. It is typically a letter+number code |
| size |
string |
The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code. |
| tier |
This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT. |
SkuTier
This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.
| Value | Description |
|---|---|
| Free | |
| Basic | |
| Standard | |
| Premium | |
| Enterprise |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |